PSDBTRF(l)

NAME
PSDBTRF - compute a LU factorization of an N-by-N real banded diagonally dominant-like distributed matrix with bandwidth BWL, BWU

SYNOPSIS

SUBROUTINE PSDBTRF(
    N, BWL, BWU, A, JA, DESCA, AF, LAF, WORK, LWORK, INFO )

INTEGER
    BWL, BWU, INFO, JA, LAF, LWORK, N

INTEGER
    DESCA( * )

REAL
    A( * ), AF( * ), WORK( * )

PURPOSE
PSDBTRF computes a LU factorization of an N-by-N real banded diagonally dominant-like distributed matrix with bandwidth BWL, BWU: A(1:N, JA:JA+N-1). Reordering is used to increase parallelism in the factorization. This reordering results in factors that are DIFFERENT from those produced by equivalent sequential codes. These factors cannot be used directly by users; however, they can be used in
subsequent calls to PSDBTRS to solve linear systems.

The factorization has the form

        P A(1:N, JA:JA+N-1) P^T = L U

where U is a banded upper triangular matrix and L is banded lower triangular, and P is a permutation matrix.